Name:		nfoview
Version:	1.13.1
Release:	%mkrel 3
Summary:	Simple viewer for NFO files
License:	GPLv3+
Group:		File tools
URL:		http://home.gna.org/nfoview/
Source0:	http://download.gna.org/nfoview/1.13/nfoview-%{version}.tar.xz
BuildArch:	noarch
BuildRequires:	python3
BuildRequires:	intltool
Requires:	python3-gobject3
Suggests:	terminus-font

%description
NFO Viewer is a simple viewer for NFO files, which are "ASCII" art in
the CP437 codepage. The advantages of using NFO Viewer instead of a
text editor are preset font and encoding settings, automatic window
size and clickable hyperlinks.

%prep
%setup -q

%build
#nothing

%install
python3 setup.py install --root=%{buildroot} --prefix=%{_prefix}

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS NEWS README TODO
%{_bindir}/nfoview
%{python3_sitelib}/nfoview*
%{_datadir}/applications/nfoview.desktop
%{_mandir}/man1/nfoview.1*
%{_datadir}/nfoview
%{_datadir}/icons/hicolor/*/apps/nfoview.*
%{_datadir}/appdata/nfoview.appdata.xml


%changelog
* Tue Oct 22 2013 umeabot <umeabot> 1.13.1-3.mga4
+ Revision: 542898
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.13.1-2.mga4
+ Revision: 497960
- Rebuild to add different pythonegg provides for python 2 and 3

* Wed Sep 25 2013 wally <wally> 1.13.1-1.mga4
+ Revision: 486259
- new version 1.13.1

* Mon Jul 29 2013 wally <wally> 1.13-1.mga4
+ Revision: 460516
- new version 1.13

* Thu May 23 2013 wally <wally> 1.12.1-1.mga4
+ Revision: 425167
- new version 1.12.1

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 06 2012 wally <wally> 1.11-1.mga3
+ Revision: 315379
- new version 1.11
- switch to python3
- clean .spec a bit

* Wed Jun 08 2011 wally <wally> 1.9.5-1.mga2
+ Revision: 101925
- new version 1.9.5

* Tue Apr 05 2011 wally <wally> 1.9.4-1.mga1
+ Revision: 80856
- new version 1.9.4

* Sun Mar 27 2011 wally <wally> 1.9.3-1.mga1
+ Revision: 77989
- new version 1.9.3

* Sun Jan 23 2011 wally <wally> 1.9.2-3.mga1
+ Revision: 34644
- drop buildroot definition from .spec
- drop old post and postun requires
- imported package nfoview


* Sun Oct 31 2010 Jani Välimaa <wally@mandriva.org> 1.9.2-2mdv2011.0
+ Revision: 590974
- drop py_requires macro
- drop support for old (2008.1 and older) mdv releases
- rebuild for new python 2.7

* Tue Oct 05 2010 Jani Välimaa <wally@mandriva.org> 1.9.2-1mdv2011.0
+ Revision: 583131
- update to new version 1.9.2

* Sat Jul 10 2010 Jani Välimaa <wally@mandriva.org> 1.9.1-1mdv2011.0
+ Revision: 550036
- new version 1.9.1

* Sun Apr 25 2010 Jani Välimaa <wally@mandriva.org> 1.9-1mdv2010.1
+ Revision: 538523
- update to new version 1.9

* Fri Nov 06 2009 Jani Välimaa <wally@mandriva.org> 1.8-1mdv2010.1
+ Revision: 461168
- new version 1.8

* Sun Sep 27 2009 Jani Välimaa <wally@mandriva.org> 1.7-1mdv2010.0
+ Revision: 449724
- update to version 1.7

* Sun Aug 16 2009 Jani Välimaa <wally@mandriva.org> 1.6-1mdv2010.0
+ Revision: 417025
- update to new version 1.6

* Tue Jun 02 2009 Jani Välimaa <wally@mandriva.org> 1.5-1mdv2010.0
+ Revision: 382281
- New version 1.5
- Removed unneeded sources

* Fri Jan 23 2009 Jérôme Soyer <saispo@mandriva.org> 1.2.1-1mdv2009.1
+ Revision: 332873
- New upstream release

* Tue Jan 06 2009 Funda Wang <fwang@mandriva.org> 1.2-4mdv2009.1
+ Revision: 325768
- rebuild

* Fri Aug 08 2008 Thierry Vignaud <tv@mandriva.org> 1.2-3mdv2009.0
+ Revision: 268277
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Mon May 19 2008 David Walluck <walluck@mandriva.org> 1.2-2mdv2009.0
+ Revision: 208852
- spec cleanup

* Mon May 19 2008 David Walluck <walluck@mandriva.org> 1.2-1mdv2009.0
+ Revision: 208830
- 1.2

* Sat May 10 2008 Anssi Hannula <anssi@mandriva.org> 1.1.2-1mdv2009.0
+ Revision: 205369
- new version
- drop fix-build-without-x.patch, fixed upstream

* Wed May 07 2008 Anssi Hannula <anssi@mandriva.org> 1.1.1-1mdv2009.0
+ Revision: 203749
- do not reference nfoview for __version__ in setup.py to allow building
  without X (fix-build-without-x.patch)
- initial Mandriva release

